Skip To Content

Running Predict in a different version of Windows

Predict can be run on any Windows desktop OS version 7 SP1 or later; or Windows Server OS version 2012 or later.

Back to Knowledge Base